# Interface QuorumAuthLearner

All Known Implementing Classes:
  `NullQuorumAuthLearner, SaslQuorumAuthLearner`

public interface QuorumAuthLearner
Interface for quorum learner authentication mechanisms.

## Method Summary

Modifier and Type
Method
Description
`void`
`authenticate(Socket sock, String hostname)`
Performs an authentication step for the given socket connection.

## Method Details

### authenticate

void authenticate(Socket sock, String hostname) throws IOException
Performs an authentication step for the given socket connection.

Parameters:
  `sock` - socket connection to other quorum peer server
  `hostname` - host name of other quorum peer server
Throws:
  `IOException` - if there is an authentication failure